Bug 60543 - install/upgrade RH5.2->RH7.2 fails randomly with "abnormal termination" during package installation
install/upgrade RH5.2->RH7.2 fails randomly with "abnormal termination" durin...
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-03-01 10:46 EST by Matthew L. Martin
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:48:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew L. Martin 2002-03-01 10:46:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-21 i686)

Description of problem:
All attempts of all possible installation and upgrade methods have failed. There
are no I/O errors reported.  The
install.log.syslog is always empty. Sometimes a "signal 11" is reported.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. choose any installation/upgrade path
2. attempt to upgrade from RH 5.2 to RH 7.2 or install RH 7.2

Actual Results:  "Abnormal termination" is reported. The install.log ends with
no notification of error. The alternate screens have no notification of I/O
error. MD5 checksum and/or bad file descriptor errors are reported in
install.log (never on the The last item) referring to various files, sometimes
the same, more often not. The install.log.syslog is always empty. Sometimes a
"signal 11" is reported.

I was finally able to get a clean installation after putting a new HD on the
secondary IDE controller. All attempts to install or upgrade to the disk drives
that ran RH 5.2 since 1998 failed. These drives are Maxtor 8GB, model number
90845D4. The master drive has 512K cache and the slave drive has 256K cache.

Expected Results:  clean/smooth installation or upgrade

Additional info:

See ticket 199932 for the gory details.

I specified a high severity since my file systems were converted to EXT3 (as
recommended by the installation process) before the upgrade failure which
prevented me from "upgrading" back to 5.2. I was without access to both linux
and windows on this machine until I purchased and installed the new disk.

The EXT2->EXT3 conversion should only be done after all of the installation and
post installation processing is done.
Comment 1 Jeremy Katz 2002-03-07 16:39:45 EST
Signal 11s are usually a sign of hardware issues and the 2.4 kernel pushes the
hardware much harder than earlier kernels.  Could you try running memtest86 on
your machine and see if that helps?  Also, what sort of hardware is this on?
Comment 2 Matthew L. Martin 2002-03-12 13:54:32 EST
Signal 11 happens about 1 in every 10 attempts to upgrade/install.

I will run memtest86 if you tell me where it is and how to use it. I can't find
it on any of the RH cdroms or the installed system and there is no man page for

The details of the hardware and other information that might be of use to you is
filed under support ticket 199932. You will find there that replacing all of the
system memory with PC-133 didn't change the installation behavior. The work
around was to use a 80GB disk as the installation disk instead of the 8GB maxtor
drives that supported RH 5.2.
Comment 3 Jeremy Katz 2002-03-13 00:21:59 EST
You can find memtest86 http://www.teresaudio.com/memtest86/.

As to the hardware configuration, since I'm in development and not in support, I
do not have access to the support database, thus it would be helpful if you
could add the hardware information to this bug report.
Comment 4 Michael Fulbright 2002-04-10 14:21:25 EDT
Closing due to inactivity, please reopen if you contine to have problems.
Comment 5 Red Hat Bugzilla 2006-02-21 13:48:31 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.